org.osgi.util.converter

## Interface Converter

    @ProviderType
    public interface Converter

The Converter service is used to start a conversion. The service is obtained from the service registry. The conversion is then completed via the Converting interface that has methods to specify the target type.

Author:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`Converting` `convert(Object obj)` Start a conversion for the given object.
`Functioning` `function()` Start defining a function that can perform given conversions.
`ConverterBuilder` `newConverterBuilder()` Obtain a builder to create a modified converter based on this converter.

### Method Detail

#### convert

    Converting convert(Object obj)

Start a conversion for the given object.

Parameters:
  `obj` - The object that should be converted.
Returns:
  A `Converting` object to complete the conversion.

#### function

    Functioning function()

Start defining a function that can perform given conversions.

Returns:
  A `Functioning` object to complete the definition.

#### newConverterBuilder

    ConverterBuilder newConverterBuilder()

Obtain a builder to create a modified converter based on this converter. For more details see the `ConverterBuilder` interface.

Returns:
  A new Converter Builder.